concepts File Reference
Utilities » Concepts

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::__detail

## Concepts

concept | std::same_as
concept | std::derived_from
concept | std::convertible_to
concept | std::common_reference_with
concept | std::common_with
concept | std::assignable_from
concept | std::destructible
concept | std::constructible_from
concept | std::default_initializable
concept | std::move_constructible
concept | std::copy_constructible
concept | std::invocable
concept | std::regular_invocable
concept | std::predicate
concept | std::relation
concept | std::equivalence_relation
concept | std::strict_weak_order

## Macros

#define | __cpp_lib_concepts
#define | _GLIBCXX_CONCEPTS

## Typedefs

template<typename _Tp >
using | std::__detail::__cref = const remove_reference_t< _Tp > &

## Functions

template<typename _Tp >
void | std::ranges::__cust_swap::swap (_Tp &, _Tp &)=delete

## Variables

constexpr __cust_swap::_Swap | std::ranges::swap

## Detailed Description

This is a Standard C++ Library header.

Definition in file concepts.

## Macro Definition Documentation

## __cpp_lib_concepts

#define __cpp_lib_concepts

Definition at line 50 of file concepts.

## _GLIBCXX_CONCEPTS

#define _GLIBCXX_CONCEPTS

Definition at line 31 of file concepts.

## Variable Documentation

## swap

constexpr __cust_swap::_Swap std::ranges::__cust::swap

inline constexpr

Definition at line 227 of file concepts.